smalltresor.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API int | GWEN_SmallTresor_Decrypt (const uint8_t *p, uint32_t len, const char *password, GWEN_BUFFER *dst, int passwordIterations, int cryptIterations)
GWENHYWFAR_API int | GWEN_SmallTresor_Encrypt (const uint8_t *src, uint32_t slen, const char *password, GWEN_BUFFER *dst, int passwordIterations, int cryptIterations)

## Function Documentation

## GWEN_SmallTresor_Decrypt()

GWENHYWFAR_API int GWEN_SmallTresor_Decrypt | ( | const uint8_t * | p,
|  | uint32_t | len,
|  | const char * | password,
|  | GWEN_BUFFER * | dst,
|  | int | passwordIterations,
|  | int | cryptIterations )

## GWEN_SmallTresor_Encrypt()

GWENHYWFAR_API int GWEN_SmallTresor_Encrypt | ( | const uint8_t * | src,
|  | uint32_t | slen,
|  | const char * | password,
|  | GWEN_BUFFER * | dst,
|  | int | passwordIterations,
|  | int | cryptIterations )

This function encrypts the given data using the given password. The key for encryption is derived from the given password using the function GWEN_MDigest_PKPDF2.

References GWENHYWFAR_API.